Bug 806688 - Missing libtool build dep can lead to strange errors
Missing libtool build dep can lead to strange errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gforth (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 21:04 EDT by Ricky Elrod
Modified: 2012-04-05 16:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 16:12:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Added the missing builddep to the gforth spec file. (369 bytes, patch)
2012-03-25 21:04 EDT, Ricky Elrod
no flags Details | Diff

  None (edit)
Description Ricky Elrod 2012-03-25 21:04:03 EDT
Created attachment 572607 [details]
Added the missing builddep to the gforth spec file.

Description of problem:

Version-Release number of selected component (if applicable):
gforth-0.7.0-5.fc16


How reproducible:
Always


Steps to Reproduce:
1. Run gforth
2. Type: require unix/socket.fs hostname type
  

Actual results:
*without* libtool build dep:

[ricky@laptop ~]$ gforth
Gforth 0.7.0, Copyright (C) 1995-2008 Free Software Foundation, Inc.
Gforth comes with ABSOLUTELY NO WARRANTY; for details type `license'
Type `bye' to exit
require unix/socket.fs hostname type sh: --silent: command not found

/usr/share/gforth/0.7.0/unix/socket.fs:48: libtool compile failed
>>>end-c-library<<<
Backtrace:
$7FB80715C988 throw 
$7FB807198458 c(abort") 
$7FB807199050 compile-wrapper-function1 


Expected results:
*with* libtool build dep:

[ricky@laptop rpmbuild]$ gforth
Gforth 0.7.0, Copyright (C) 1995-2008 Free Software Foundation, Inc.
Gforth comes with ABSOLUTELY NO WARRANTY; for details type `license'
Type `bye' to exit
require unix/socket.fs hostname type
laptop.home.elrod.me ok


Additional info:
Comment 1 Adrian Reber 2012-03-26 09:13:45 EDT
Thanks for the report. Should have been fixed in gforth-0.7.0-7.fc18 but it fails (probably due to the newer gcc). But hopefully fixed soon.
Comment 2 Adrian Reber 2012-04-05 16:12:26 EDT
Fixed in gforth-0.7.0-8.fc18. For now building with -O0.

Note You need to log in before you can comment on or make changes to this bug.